Download transcription

Download the completed transcription/caption file in your preferred format.

Prerequisites

  • Job must be completed (GET /job/info status = "Completed")
  • Valid caption format must be specified
  • Language code must be valid if requesting translation

Output Format Options

Specify format using caption_format parameter:

Common Caption/Subtitle Formats

  • vtt, web_vtt: WebVTT captions for HTML5 video
  • srt: SubRip subtitle format
  • sami: Windows Media Player captions
  • scc: Scenarist Closed Captions
  • dfxp: DFXP Timed Text with begin/end tags

Document/Text Formats

  • txt: Plain text transcript
  • docx: Microsoft Word document
  • rtf: Rich Text Format document
  • pdf: PDF document
  • json: Verbit Transcript JSON format

Audio Description Formats

  • ad.vtt: Audio Description WebVTT
  • ad.html: Audio Description HTML
  • ad.txt: Audio Description text
  • sm.txt: Speaker Marked text
  • ad.mp3: Audio Description MP3

Media/Video Formats (for closed captions, dubbing, etc)

  • mov: QuickTime video with captions
  • mp4: MP4 video with embedded captions
  • mxf: Material Exchange Format
  • mpg: MPEG video format

Other Formats

  • oip: Offline Interactive Player archive

Language Support

  • Default: Original job language
  • Translations: Use language parameter with RFC 5646 code
  • Example codes: en-US, fr-FR, de-DE
  • Must be previously requested via translation_languages

Important Notes

  • Returns file content, not JSON
  • Follow HTTP redirects for media formats, like closed captions MP4
  • Timecode options available for text formats
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
integer
required

API version. Current version is 4. Older versions are supported but deprecated.

integer
required

Job ID (as received after calling POST /job/new)

string
enum

The format of transcription/caption file to return.

Supported formats: srt, web_vtt, sami, txt, docx, pdf.

Default: srt or txt (depending on whether caption segmentation was included in job's
profile).

Allowed:
string

The language of transcription/caption file to return.

Format should be RFC 5646 Language code, like 'fr-FR'.

Default value will be job original language code, like 'es-US'.

integer

Include timecode every X seconds.
Timecode format is [HH:MM:SS] (example: [00:12:59]).
The value should be a positive integer.
It represents the time interval (in seconds) between inserted timecodes.
For example, with timecode_interval=120, timecode will be inserted every 2 minutes.
If the value is not provided, or not numeric, timecodes will not be inserted.
Supported only for text formats: txt, docx, pdf.

boolean
Defaults to false

Include timecode before every speaker change.
Timecode format is [HH:MM:SS] (example: [00:12:59]).
Available only for text formats: txt, docx, pdf and for jobs with speaker names enabled.
Default: false.

string
enum

Define the way how should render inaudible.
Could be one from: timestamp, no_timestamp, remove.
If it not defined - use the default behavior.
NOTE: this param works only for txt and docx content types.
For other types - it will not have any impact

Allowed:
Responses

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json